import axios from "axios";

const getToken = () => {
  return sessionStorage.getItem("token");
};
const instance = axios.create({
  baseURL: "http://localhost:3100",
  timeout: 50000,
  withCredentials: true,
});

instance.defaults.headers.post["Content-Type"] =
  "application/json;charset=UTF-8";

//请求前
instance.interceptors.request.use(
  (request) => {
    const path = ['/register','/login']
    if (!getToken() && !path.includes(window.location.pathname)) {
      window.history.replaceState({}, "", "/register");
      window.history.go();
    }
    return request;
  },
  (error) => {
    return Promise.reject(error);
  }
);

// Add a response interceptor
instance.interceptors.response.use(
  (response) => {
    const { status } = response;
    if (status === 200) {
      return Promise.resolve(response.data);
    } else {
      return Promise.reject(response);
    }
  },
  (error) => {
    if (error) {
      const { response } = error;
      if (response && response.data) {
        return Promise.reject(response.data);
      }
      return Promise.reject(error);
    }
  }
);

export default instance;
