import React from "react";
import { Space, Swiper } from "antd-mobile";

const Banner = ({ list = [] }) => {
  const items = list.map((item, index) => (
    <Swiper.Item key={index}>
      <div
        style={{
          height: "120px",
          display: "flex",
          justifyContent: "center",
          alignItems: "center",
          fontSize: "48px",
          userSelect: "none",
        }}
      >
        {item.title}
      </div>
    </Swiper.Item>
  ));
  return (
    <>
      <Space direction="vertical" block>
        <Swiper
          stuckAtBoundary={false}
          slideSize={80}
          defaultIndex={0}
          autoplay
          loop
          autoplayInterval={3000}
        >
          {items}
        </Swiper>
      </Space>
    </>
  );
};

export default Banner;
