import React, { useState } from "react";
import { useHistory } from "react-router-dom";
import { Footer, BarLink, Active, LinkIcon } from "./foot.style";
import { useCommonComponent } from "../../Utils/Utils";

const navBars = [
  { id: 1, path: "/home", icon: "homeIcon", title: "首页" },
  { id: 2, path: "/shop", icon: "shopIcon", title: "购物" },
  { id: 3, path: "/favorite", icon: "favoriteIcon", title: "收藏" },
  { id: 4, path: "/user", icon: "userIcon", title: "我的" },
];

function AppFooter() {
  const [activeInx, setActiveInx] = useState(0);
  const isShow = useCommonComponent();
  const history = useHistory();

  const setBarInx = (inx, path) => {
    setActiveInx(inx);
    history.push(path);
  };

  return (
    <>
      {isShow ? (
        <Footer>
          {navBars.map((item, index) => {
            return (
              <BarLink
                key={item.id}
                onClick={() => {
                  setBarInx(index, item.path);
                }}
              >
                <LinkIcon bg={item.icon} isActive={activeInx === index} />
                {activeInx === index ? (
                  <Active>{item.title}</Active>
                ) : (
                  <span>{item.title}</span>
                )}
              </BarLink>
            );
          })}
        </Footer>
      ) : null}
    </>
  );
}

export default AppFooter;