import styled from "styled-components";
import homeIcon from "../../assets/images/home.svg";
import shopIcon from "../../assets/images/shop.svg";
import favoriteIcon from "../../assets/images/favorite.svg";
import userIcon from "../../assets/images/user.svg";
import homeIconActive from "../../assets/images/homeActive.svg";
import shopIconActive from "../../assets/images/shopActive.svg";
import favoriteIconActive from "../../assets/images/favoriteActive.svg";
import userIconActive from "../../assets/images/userActive.svg";

const iconList = {
  homeIcon,
  homeIconActive,
  shopIcon,
  shopIconActive,
  favoriteIcon,
  favoriteIconActive,
  userIcon,
  userIconActive,
};
export const Footer = styled.div`
  position: fixed;
  left: 0;
  bottom: 0;
  z-index: 999;
  background: #fff;
  height: 65px;
  width: 100%;
  border-top: 1px solid #ddd;
  justify-content: space-around;
  display: flex;
`;

export const BarLink = styled.div`
  display: flex;
  flex-direction: column;
  justify-content: center;
  color: #333;
  width: 100%;
  text-align: center;
  line-height: 25px;
`;

export const Active = styled.div`
  color: #e4393c;
`;
export const LinkIcon = styled.div`
  width: 22px;
  height:22px;
  margin:0 auto;
  margin-bottom: 5px;
  background-size: cover;
  background-image:url('${(props) =>
    props.isActive ? iconList[props.bg + "Active"] : iconList[props.bg]}')
`;
