const express = require("express");
const bodyParser = require("body-parser");
const app = express();

// parse application/x-www-form-urlencoded
// parse application/json
// 全局 中间件  解决所有路由的 跨域问题
app.all("*", function (req, res, next) {
  res.header("Access-Control-Allow-Origin", "*");
  res.header("Access-Control-Allow-Headers", "X-Requested-With,Content-Type");
  res.header("Access-Control-Allow-Methods", "GET,POST,OPTIONS");
  next();
});

app.use(bodyParser.urlencoded({ extended: false }));

const jsonParser = bodyParser.json();
//白名单
const accountList = ["123456", "admin", "admin123"];

//登陆接口
app.post("/user/login", jsonParser, (req, res) => {
  // if (!accountList.includes(req.body.account)) {
  //   res.status(500).send('账号或密码错误');
  // } else {
  res.status(200).send("登陆成功");
  // }
});

//是否有新消息通知
let status = 1;
app.get("/noticeMsg", (req, res) => {
  res.status(200).send({
    status,
    message: "success",
  });
});
//已读
app.get("/readMsg", (req, res) => {
  status = 0;
  res.status(200).send({
    message: "success",
  });
});

const data = require("./productList.json").allProductList;
function pageList(pageNo,clone) {
  if (pageNo == 1) {
    return clone.splice(0, 9);
  }
  return clone.splice(pageNo * 9 + 1, 9);
}
//获取产品数据
app.post("/product/list", jsonParser, (req, res) => {
  const pageNo = req.body.pageNo;
  const clone = [...data];
  let list = []
  if(pageNo){
    list = pageList(pageNo,clone)
  }else{
    list = clone
  }
  if (!list.length || list.length < 9) {
    list = pageList(1,clone)
  }
  res.send(list);
});

/*
* 模糊搜索{}
* 搜索类型:searchType:classType/''
* 搜索关键词:searchKey
*/
app.post("/search/list", jsonParser, (req, res) => {
  const searchKey = req.body.searchKey;
  const searchType = req.body.searchType;
  const clone = [...data];
  let list = [];
  //根据类型过滤
  if(searchType && searchKey){//类型关键字搜索
    clone.filter(k=>!!k.classType.includes(searchType)).map(k=>{
      if(k.title.includes(searchKey) || k.code.includes(searchKey) || k.price.includes(searchKey) || k.classType.includes(searchKey)){
        list.push(k)
      }
    })
  }else if(searchType && !searchKey){//类型搜索
    list = clone.filter(k=>!!k.classType.includes(searchType))
  }else if(!searchType && !searchKey){//下拉刷新/初始
    list = pageList(1,clone);
  }else{//模糊搜索
    clone.map(k=>{
      if(k.title.includes(searchKey) || k.code.includes(searchKey) || k.price.includes(searchKey) || k.classType.includes(searchKey)){
        list.push(k)
      }
    })
  }
  res.send(list);
});

//推荐列表-轮播
app.get("/recommended/list", (req, res) => {
  const clone = [...data];
  let list = clone.splice(0,4);
  res.send(list);
});

app.listen(3100, function () {
  console.log("服务器启动成功");
});
