import React, { Suspense } from "react";
import {
  BrowserRouter as Router,
  Switch,
  Route,
  Redirect,
} from "react-router-dom";
import routers from "./index";
import Foot from "../Components/Foot/Foot";
import Header from "../Components/Header/Header";

function RouteSwitch() {
  const getToken = (key) => {
    return JSON.parse(sessionStorage.getItem(key))
  };
  function renderRoutes(routes) {
    return routes.map((config) => {
      const { path, component } = config;
      if (path === "/") {
        return (
          <Route
            key="/"
            path="/"
            exact
            render={() =>
              getToken("token") ? (
                <Redirect to="/home" />
              ) : (
                <Redirect to="/login" />
              )
            }
          />
        );
      }
      return <Route key={path} path={path} exact component={component} />;
    });
  }

  return (
    <Router>
      <Suspense fallback={<div />}>
        <Header />
        <Switch>{renderRoutes(routers)}</Switch>
        <Foot />
      </Suspense>
    </Router>
  );
}

export default RouteSwitch;
