import { createSlice } from "@reduxjs/toolkit";

const initialState = {
  num: 10,
};

// 使用createSlice方法创建一个slice。每一个slice里面包含了reducer和actions，可以实现模块化的封装
const returnSlice = createSlice({
  name: "test",
  initialState,
  reducers: {
    addNum(state, action) {
      state.num = action.payload;
    },
  },
});

//import { useSelector, useDispatch } from "react-redux";
// 页面通过useSelector(getNum)获取state
export const getNum = (state) => state.demo.num;

// 页面通过dispatch(addNum('传值'))改变state
export const { addNum } = returnSlice.actions;
export default returnSlice.reducer;
